## For use DOCKER_BUILD_KIT

Set bash env vars:

```bash
export DOCKER_BUILDKIT=1
export COMPOSE_DOCKER_CLI_BUILD=1

```

## Recommended aliases

```bash
alias dc='docker-compose'
alias dils='docker image ls | grep'
alias dirm='docker image rm'
```

## Visualize docker images tree

https://github.com/justone/dockviz

### Setup

Add into your `~/.bash_aliases`:

`alias dockviz="docker run -it --rm -v /var/run/docker.sock:/var/run/docker.sock nate/dockviz"`

For use visualization with `/usr/bin/dot`

`apt install graphviz`

### Containers

`dockviz containers -d | dot -Tpng -o ~/containers.png`

### Images

`dockviz images -d | dot -Tpng -o ~/images.png`
